Package twisted :: Package internet :: Module threads |
[show private | hide private]
[frames | no frames]

## Module twisted.internet.threads

Extended thread dispatching support.

For basic support see reactor threading API docs.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Function Summary
| ``deferToThread`(f, *args, **kwargs)` Run function in thread and return result as Deferred.
| ``callMultipleInThread`(tupleList)` Run a list of functions in the same thread.
| ``_putResultInDeferred`(deferred, f, args, kwargs)` Run a function and give results to a Deferred.
| ``_runMultiple`(tupleList)` Run a list of functions.

Variable Summary
`SelectReactor` | `reactor`

Function Details

### callMultipleInThread(tupleList) Run a list of functions in the same thread. tupleList should be a list of (function, argsList, kwargsDict) tuples.

### deferToThread(f, *args, **kwargs) Run function in thread and return result as Deferred.

### _putResultInDeferred(deferred, f, args, kwargs) Run a function and give results to a Deferred.

### _runMultiple(tupleList) Run a list of functions.

Variable Details

    ### reactor Type: `SelectReactor` Value:
        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:18:29 2003 | http://epydoc.sf.net